edu.northwestern.at.morphadorner.corpuslinguistics.inflector.conjugator

## Class EnglishConjugator

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.inflector.conjugator.EnglishConjugator

- All Implemented Interfaces:
    Conjugator
  Direct Known Subclasses:
    DefaultConjugator

      public class EnglishConjugator
      extends java.lang.Object
      implements Conjugator

  English language conjugator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Set<java.lang.String>` | `doublingVerbs` Set of verbs whose final consonant is doubled in inflected forms.
    `protected static java.lang.String` | `doublingVerbsPath` Resource path to list of doubled consonant verbs.
    `protected Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String>` | `irregularVerbs` Map3D of irregular verbs.
    `protected static java.lang.String` | `irregularVerbsPath` Resource path to map of irregular verbs.
    `protected static PatternReplacer` | `presentParticiplePattern1` Present participle replacement patterns.
    `protected static PatternReplacer` | `presentParticiplePattern2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnglishConjugator()` Create an English conjugator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `conjugate(java.lang.String infinitive, VerbTense tense, Person person)` Conjugate a verb from its lemma (infinitive), tense, and person.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### doublingVerbs

          protected static java.util.Set<java.lang.String> doublingVerbs

      Set of verbs whose final consonant is doubled in inflected forms.

    - #### doublingVerbsPath

          protected static final java.lang.String doublingVerbsPath

      Resource path to list of doubled consonant verbs.
      See Also:
        Constant Field Values

    - #### presentParticiplePattern1

          protected static final PatternReplacer presentParticiplePattern1

      Present participle replacement patterns.

    - #### presentParticiplePattern2

          protected static final PatternReplacer presentParticiplePattern2

    - #### irregularVerbs

          protected Map3D<java.lang.String,java.lang.String,java.lang.String,java.lang.String> irregularVerbs

      Map3D of irregular verbs.

      First key is the infinitive.
      Second key is the person.
      Third key is the verb tense.
      Value is the conjugated verb form.

    - #### irregularVerbsPath

          protected static final java.lang.String irregularVerbsPath

      Resource path to map of irregular verbs.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EnglishConjugator

          public EnglishConjugator()

      Create an English conjugator.

  - ### Method Detail

    - #### conjugate

          public java.lang.String conjugate(java.lang.String infinitive,
                                   VerbTense tense,
                                   Person person)

      Conjugate a verb from its lemma (infinitive), tense, and person.
      Specified by:
        `conjugate` in interface `Conjugator`
      Parameters:
        `infinitive` - The infinitive of the verb to inflect.
        `tense` - The verb tense to generate.
        `person` - The person (1st, 2nd, 3rd) to generate.
      Returns:
        The English inflected form of the verb in all lower case.